Package org.apache.felix.hc.core.impl.scheduling.cron.quartz

## Class QuartzCronSchedulerProvider

- java.lang.Object
- - org.apache.felix.hc.core.impl.scheduling.cron.quartz.QuartzCronSchedulerProvider

    public class QuartzCronSchedulerProvider
    extends Object

Component without direct quartz imports (can always start) that will provide a QuartzCronScheduler on demand.

### Constructor Summary

Constructors
`QuartzCronSchedulerProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `deactivate()`
`QuartzCronScheduler` `getQuartzCronScheduler()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QuartzCronSchedulerProvider

    public QuartzCronSchedulerProvider()

### Method Detail

#### getQuartzCronScheduler

    public QuartzCronScheduler getQuartzCronScheduler()

#### deactivate

    protected void deactivate()